# Interface GaussianSplattingEntranceAnimationController

plugin 的基本控制器

interface GaussianSplattingEntranceAnimationController {
boundingAABB: BoundingAABB2D | null;
data?: any;
five: Five;
hooks: Subscribe<GaussianSplattingEntranceAnimationPluginType.EventMap>;
keyframes: GaussianSplattingEntranceAnimationPluginType.Keyframe[];
state: GaussianSplattingEntranceAnimationPluginType.State;
staticPrefix: string;
absoluteUrl(url: string): string;
appendTo?(wrapper: Element): void;
disable(options?: BaseOptions): void;
dispose(): void;
enable(options?: BaseOptions): void;
getCameraCurve(): Promise<CatmullRomCurve3>;
getCurrentState(): GaussianSplattingEntranceAnimationPluginType.State;
hide?(options?: BaseOptions): void | Promise<void>;
load(): Promise<void>;
playEntrance(): Promise<void>;
setBounding(boundsMin: Vector3, boundsMax: Vector3, center?: Vector3): void;
setBounds(): void;
setState?(state: Partial<PluginState>, options?: BaseOptions): void;
show?(options?: BaseOptions): void | Promise<void>;
startAggregation(): void;
}

#### Hierarchy (View Summary)

- Controller<
  GaussianSplattingEntranceAnimationPluginType.State,
  GaussianSplattingEntranceAnimationPluginType.EventMap,
  any,
  any,
  >
  - GaussianSplattingEntranceAnimationController

- Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:41

##### Index

### Properties

boundingAABB
data?
five
hooks
keyframes
state
staticPrefix

### Methods

absoluteUrl
appendTo?
disable
dispose
enable
getCameraCurve
getCurrentState
hide?
load
playEntrance
setBounding
setBounds
setState?
show?
startAggregation

## Properties

### boundingAABB

boundingAABB: BoundingAABB2D | null = null

- Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:48

### `Optional` data

data?: any

Overrides BasePlugin.Controller.data

- Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:42

### five

five: Five

Inherited from Controller.five

- Defined in lib/plugins/BasePlugin/index.ts:68

### hooks

hooks: Subscribe<GaussianSplattingEntranceAnimationPluginType.EventMap> = ...

#### Description

插件事件钩子

Inherited from Controller.hooks

- Defined in lib/plugins/BasePlugin/index.ts:82

### keyframes

keyframes: GaussianSplattingEntranceAnimationPluginType.Keyframe[] = []

- Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:52

### state

state: GaussianSplattingEntranceAnimationPluginType.State

当前状态

#### Description

    可以通过 plugin.state 和 plugin.setState 来获取和设置。
    通过 state 设置后，plugin 会通过合适的动画运动来达到设置的效果。
    来迎合一些通过数据驱动的场景。

Overrides Controller.state

- Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:43

### `Readonly` staticPrefix

staticPrefix: string = '//vr-image-4.realsee-cdn.cn'

Inherited from Controller.staticPrefix

- Defined in lib/plugins/BasePlugin/index.ts:84

## Methods

### absoluteUrl

- absoluteUrl(url: string): string

  #### Parameters

  - url: string

  #### Returns string

  #### Description

  获取静态资源的url

  Inherited from Controller.absoluteUrl

  - Defined in lib/plugins/BasePlugin/index.ts:135

### `Optional` appendTo

- appendTo?(wrapper: Element): void

  插件自身DOM添加到父容器

  #### Parameters

  - wrapper: Element

    Element元素

  #### Returns void

  Inherited from Controller.appendTo

  - Defined in lib/plugins/BasePlugin/index.ts:113

### disable

- disable(options?: BaseOptions): void

  禁用插件，让插件停止响应交互

  #### Parameters

  - `Optional` options: BaseOptions

  #### Returns void

  Overrides Controller.disable

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:77

### dispose

- dispose(): void

  插件进行销毁

  #### Returns void

  Overrides Controller.dispose

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:83

### enable

- enable(options?: BaseOptions): void

  启用插件，让插件能够响应交互

  #### Parameters

  - `Optional` options: BaseOptions

  #### Returns void

  Overrides Controller.enable

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:71

### getCameraCurve

- getCameraCurve(): Promise<CatmullRomCurve3>

  #### Returns Promise<CatmullRomCurve3>

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:182

### getCurrentState

- getCurrentState(): GaussianSplattingEntranceAnimationPluginType.State

  获取当前的插件状态，如果当初插件内存在需要通过动画变更的 state 值，则通过此方法可以得到中间状态

  #### Returns GaussianSplattingEntranceAnimationPluginType.State

  Inherited from Controller.getCurrentState

  - Defined in lib/plugins/BasePlugin/index.ts:105

### `Optional` hide

- hide?(options?: BaseOptions): void | Promise<void>

  隐藏UI

  #### Parameters

  - `Optional` options: BaseOptions

  #### Returns void | Promise<void>

  Inherited from Controller.hide

  - Defined in lib/plugins/BasePlugin/index.ts:123

### load

- load(): Promise<void>

  加载插件依赖数据

  #### Returns Promise<void>

  Overrides Controller.load

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:69

### playEntrance

- playEntrance(): Promise<void>

  #### Returns Promise<void>

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:333

### setBounding

- setBounding(boundsMin: Vector3, boundsMax: Vector3, center?: Vector3): void

  #### Parameters

  - boundsMin: Vector3
  - boundsMax: Vector3
  - `Optional` center: Vector3

  #### Returns void

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:275

### setBounds

- setBounds(): void

  #### Returns void

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:283

### `Optional` setState

- setState?(state: Partial<PluginState>, options?: BaseOptions): void

  设置state

  #### Parameters

  - state: Partial<PluginState>

    插件的目标状态

  - `Optional` options: BaseOptions

    配置项

  #### Returns void

  Inherited from Controller.setState

  - Defined in lib/plugins/BasePlugin/index.ts:130

### `Optional` show

- show?(options?: BaseOptions): void | Promise<void>

  展示UI

  #### Parameters

  - `Optional` options: BaseOptions

  #### Returns void | Promise<void>

  Inherited from Controller.show

  - Defined in lib/plugins/BasePlugin/index.ts:118

### startAggregation

- startAggregation(): void

  #### Returns void

  - Defined in lib/plugins/GaussianSplattingEntranceAnimationPlugin/Controller.ts:298